Bug report #14938

Debian build failure in master.

Added by Andy Wood about 4 years ago. Updated about 4 years ago.

Status:Closed
Priority:Severe/Regression
Assignee:-
Category:Build/Install
Affected QGIS version:master Regression?:No
Operating System:Linux amd64 Easy fix?:No
Pull Request or Patch supplied:No Resolution:
Crashes QGIS or corrupts data:No Copied to github as #:22889

Description

Problem with building master on Debian testing

[...]
Generating ui_widgetClipper.py
cd [SRC]/debian/build/python/plugins/GdalTools/tools && ../../../../../../scripts/pyuic-wrapper.sh /usr/bin/pyuic4 [SRC]/debian/build/output/lib [SRC]/debian/build/output/python /usr/bin/python2.7 [SRC]/python/plugins/GdalTools/tools/widgetClipper.ui -o [SRC]/debian/build/python/plugins/GdalTools/tools/ui_widgetClipper.py
Traceback (most recent call last):
  File "../../../../../../scripts/pyuic-wrapper.py", line 1, in <module>
    import qgis.PyQt.uic.pyuic
ImportError: No module named qgis.PyQt.uic.pyuic
python/plugins/GdalTools/tools/CMakeFiles/zzz-GdalTools-2-depend.dir/build.make:120: recipe for target 'python/plugins/GdalTools/tools/ui_widgetClipper.py' failed
make[4]: *** [python/plugins/GdalTools/tools/ui_widgetClipper.py] Error 1

History

#1 Updated by Jürgen Fischer about 4 years ago

Building how? The nightlies build fine...

#2 Updated by Andy Wood about 4 years ago

  • Status changed from Open to Closed

On further investigation this does not seem to be a bug, but possibly a problem generated by incremental updating of my local git repository?
With a fresh download of the whole source tree the problem has gone away.

Also available in: Atom PDF